Bug 101856 - nano does not support unicode (UTF-8)
nano does not support unicode (UTF-8)
Status: CLOSED UPSTREAM
Product: Red Hat Linux Beta
Classification: Retired
Component: nano (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-07 14:24 EDT by Mikko Paananen
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-25 12:34:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikko Paananen 2003-08-07 14:24:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030601
Mozilla Firebird/0.6

Description of problem:
Nano cannot display or edit UTF-8 coded text properly.


Version-Release number of selected component (if applicable):
nano-1.2.1-3

How reproducible:
Always

Steps to Reproduce:
1. Install nano from Severn beta
2. Type in some text using extended ascii characters
3. Use backspace to delete typed characters


Actual Results:  Backspace only deletes last byte of multibyte UTF-8 character,
so last character on line gets corrupted to invalid UTF-8 sequence (shown as
square). Also line length is calculated using byte count, not character count so
cursor moves to right after last character on line when refreshing screen.


Expected Results:  Typed characters should be deleted.


Additional info:

Ok, this is problematic, unicode support for nano is only on design stage and
implemented in version 1.3. There are several patches floating around that give
some support for UTF-8 but those have not been accepted upstream.

I understand that nano replaces pico that was removed from RHL as "simple" text
editor, but in current stage nano cannot be used to, say write mail in any other
language than english. It still might be useful to edit some config files or
similar where only US-ASCII is used.
Comment 1 David Woodhouse 2004-08-25 12:34:01 EDT
I don't think I'm supposed to ship a development version of nano -- we
need to wait until 1.4 is released. I'll close this 'UPSTREAM' for now
-- please remind me if necessary when nano 1.4 is released.

If there's a backport of the UTF-8 support I suppose we could consider
applying that?

Note You need to log in before you can comment on or make changes to this bug.